from bok import Bok
from hylle import Hylle

# Representere et bibliotek med én hylle per forfatter-forbokstav
# Opprette et tomt bibliotek uten hyller
# Sette inn en ny bok på riktig hylle (parameter bok-objekt)
# Hente informasjon om alle hyller med deres bøker som en (pen) streng
class Bibliotek:
    def __init__(self):
        self._hyller = {}               # En hylle per forfatter-forbokstav,
                                        # ingen hylle før vi har en bok til den
    def ny_bok(self, bok):
        bokstav = bok.hent_forfatter()[0]   # 1.bokstav i forfatternavnet
        if bokstav not in self._hyller:     # Ingen hylle for bokstaven
            self._hyller[bokstav] = Hylle() # lager ny hylle for bokstaven
                                            #   og legger hyllen i ordboken
        self._hyller[bokstav].sett_inn_bok(bok) # setter boken i rett hylle
        
    def __str__(self):
        s = "\nAlle hyller med bøker:\n"
        for hylle in self._hyller:      # Ingen fast rekkefølge i en ordbok
            s += "Hylle " + hylle + ":\n" + str(self._hyller[hylle]) + "\n"
        return s